Subject: bug#46055: [PATCH] Add rust lang to etags

From: Eli Zaretskii <[email-masked]>
Date: Mon, 17 May 2021 18:51:55 +0300

> From: Lars Ingebrigtsen <[email-masked]>
> Date: Mon, 17 May 2021 17:23:44 +0200
> Cc: Stefan Kangas <[email-masked]>,
>  Pierre-Antoine Rouby <[email-masked]>, [email-masked]
> 
> Francesco Potortì <[email-masked]> writes:
> 
> >>I have one question, though.  In "test/manual/etags", we have manual
> >>tests for etags including source code examples and which tags they
> >>should generate.  Should we add a manual test also for Rust?
> >
> > I'd say definitely yes.  Ideally, the regression tests should be updated
> > every time a new feature is added or a bug is corrected.
> 
> I looked into adding a Rust test there...  but it's unclear how, or what
> it's checking.  A "make check" in that directory fails.  I looked in
> admin/* for an explanation of what's supposed to be done in
> test/manual/etags, but found nothing.
> 
> Perhaps a README should be added to that directory to explain how to use
> it?

Just say "make" in that directory, it should finish with no errors.